[arch-commits] Commit in iwlwifi-4965-ucode/trunk (PKGBUILD)

Giovanni Scafora giovanni at archlinux.org
Mon Nov 23 12:55:59 EST 2009


    Date: Monday, November 23, 2009 @ 12:55:58
  Author: giovanni
Revision: 59405

upgpkg: iwlwifi-4965-ucode 228.61.2.24-2
    Switched to arch any

Modified:
  iwlwifi-4965-ucode/trunk/PKGBUILD

----------+
 PKGBUILD |   13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-11-23 16:44:04 UTC (rev 59404)
+++ PKGBUILD	2009-11-23 17:55:58 UTC (rev 59405)
@@ -1,21 +1,22 @@
 # $Id$
 # Maintainer: Thomas Baechler <thomas at archlinux.org>
+# Contributor: Giovanni Scafora <giovanni at archlinux.org>
 
 pkgname=iwlwifi-4965-ucode
 pkgver=228.61.2.24
-pkgrel=1
+pkgrel=2
 pkgdesc="Intel wireless firmware for IPW4965 (iwlwifi driver)"
-arch=(i686 x86_64)
+arch=('any')
 url="http://intellinuxwireless.org/?p=iwlwifi"
 license=('custom')
 depends=()
-source=(http://intellinuxwireless.org/iwlwifi/downloads/$pkgname-$pkgver.tgz)
+source=(http://intellinuxwireless.org/iwlwifi/downloads/${pkgname}-${pkgver}.tgz)
 md5sums=('2531028773cfc22aca5539c734f2a241')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
+  cd "${srcdir}/${pkgname}-${pkgver}"
   # Install firmware (ABI version 2, for future versions of iwl4965)
-  install -D -m 644 iwlwifi-4965-2.ucode $startdir/pkg/lib/firmware/iwlwifi-4965-2.ucode || return 1
+  install -D -m 644 iwlwifi-4965-2.ucode "${pkgdir}/lib/firmware/iwlwifi-4965-2.ucode" || return 1
   # Install license
-  install -D -m 644 LICENSE.iwlwifi-4965-ucode $startdir/pkg/usr/share/licenses/$pkgname/LICENSE || return 1
+  install -D -m 644 LICENSE.iwlwifi-4965-ucode "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE" || return 1
 }



More information about the arch-commits mailing list